<div>
    <!-- <h2>
        <span jhiTranslate="mpmApp.payment.home.title">Payments</span>
        <button class="btn btn-primary float-right jh-create-entity create-payment" [routerLink]="['/payment-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.payment.home.createLabel">
            Create new Payment
            </span>
        </button>
        <button class="btn btn-success float-right jh-create-entity create-invoice" [routerLink]="['/payment-new-uangmuka']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Payment Uang Muka
            </span>
        </button>
    </h2> -->
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.payment.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <p-dataTable [value]="payments" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idpay" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
        </p-header>
        <!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']"></p-column> -->
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Tanda Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.receiptno}}
            </ng-template>
        </p-column>
        <p-column header="Dibayar Kepada">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.payto}}
            </ng-template>
        </p-column>
        <p-column header="Jumlah Bayar">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.totalpay | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="Pembuat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createby}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreate | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tipe">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.payment_type.description}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div class="ui-g-12">
                    <button pButton type="button" [routerLink]="['/payment-edit', rowData.idpay, true]"
                        icon="fa-eye" class="flat-button" pTooltip="Lihat Payment"
                        *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                    </button>
                    <!-- <button pButton type="button"
                    [routerLink]="['../payment-edit/' + rowData.idpay + '/false']" icon="fa-pencil"
                    class="flat-button" pTooltip="Edit Payment" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                </button> -->
                    <button pButton type="button" icon="fa-print" class="flat-button" pTooltip="Edit Payment"
                        (click)="print(rowData)" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                    </button>
                    <!-- <button pButton type="button" icon="fa fa-share" class="flat-button" (click)="reqApp(rowData)"
                    pTooltip="Request Approve" [disabled]="rowData.statuses.statustype != 10">
                </button> -->
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-confirmDialog></p-confirmDialog>